> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Annotations

> List annotations with optional filters.



## OpenAPI

````yaml get /api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id}/annotations
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id}/annotations:
    get:
      tags:
        - annotations
      summary: List Annotations
      description: List annotations with optional filters.
      operationId: >-
        list_annotations_api_v1_datasets__dataset_id__annotation_sets__annotation_set_id__annotations_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
        - name: annotation_set_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Annotation Set Id
        - name: audio_file_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Audio File Id
        - name: artifact_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Artifact Type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnnotationResponse'
                title: >-
                  Response List Annotations Api V1 Datasets  Dataset Id 
                  Annotation Sets  Annotation Set Id  Annotations Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AnnotationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        annotation_set_id:
          type: string
          format: uuid
          title: Annotation Set Id
        audio_file_id:
          type: string
          format: uuid
          title: Audio File Id
        artifact_type:
          type: string
          title: Artifact Type
        start_ms:
          type: integer
          title: Start Ms
        end_ms:
          type: integer
          title: End Ms
        confidence:
          type: number
          title: Confidence
        extra_data:
          additionalProperties: true
          type: object
          title: Extra Data
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - annotation_set_id
        - audio_file_id
        - artifact_type
        - start_ms
        - end_ms
        - confidence
        - extra_data
        - created_at
      title: AnnotationResponse
      description: Annotation response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````